Bug 620794 - Review Request: perl-PPIx-Utilities - Extensions to PPI
Review Request: perl-PPIx-Utilities - Extensions to PPI
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 10:03 EDT by Paul Howarth
Modified: 2010-09-01 01:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-PPIx-Utilities-1.000001-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 01:49:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2010-08-03 10:03:07 EDT
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-PPIx-Utilities/branches/fedora/perl-PPIx-Utilities.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-PPIx-Utilities/perl-PPIx-Utilities-1.000001-2.fc15.src.rpm

Description:

This is a collection of functions for dealing with PPI objects, many of
which originated in Perl::Critic. They are organized into modules by the
kind of PPI class they relate to, by replacing the "PPI" at the front of
the module name with "PPIx::Utilities", e.g. functionality related to
PPI::Nodes is in PPIx::Utilities::Node.

This package is needed for Perl::Critic 1.08.
Comment 1 Iain Arnell 2010-08-03 11:54:20 EDT
+ source files match upstream.  
    7fe268f24d30e1ca5f9f12da94d83fa1  PPIx-Utilities-1.000001.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text is included.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2376972

+ package installs properly.
+ rpmlint has no complaints.
+ final provides and requires are sane:
    perl(PPIx::Utilities) = 1.000001
    perl(PPIx::Utilities::Exception::Bug) = 1.000001
    perl(PPIx::Utilities::Node) = 1.000001
    perl(PPIx::Utilities::Statement) = 1.000001
    perl-PPIx-Utilities = 1.000001-2.fc15
=
    perl >= 0:5.006001
    perl(base)  
    perl(Exception::Class)  
    perl(Exporter)  
    perl(:MODULE_COMPAT_5.12.1)  
    perl(PPI) >= 1.208
    perl(PPI::Document::Fragment) >= 1.208
    perl(PPIx::Utilities::Exception::Bug)  
    perl(Readonly)  
    perl(Scalar::Util)  
    perl(strict)  
    perl(warnings)  
+ %check is present and all tests pass.
    t/split-ppi-node-by-namespace.t .. ok
    All tests successful.
    Files=1, Tests=10,  0 wallclock secs ( 0.01 usr  0.01 sys +  0.17 cusr  0.02 csys =  0.21 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


Thanks for this one - I was about to start packaging it myself.

APPROVED.
Comment 2 Paul Howarth 2010-08-03 11:59:50 EDT
New Package CVS Request
=======================
Package Name: perl-PPIx-Utilities
Short Description: Extensions to PPI
Owners: pghmcfc
Branches: F-14
InitialCC: perl-sig

Iain, thanks for the review; please set the review flag to + so there's no quibbles when it comes to adding the package in git.
Comment 3 Iain Arnell 2010-08-03 12:06:03 EDT
Oops! Really, really, APPROVED now.
Comment 4 Kevin Fenzi 2010-08-03 13:56:30 EDT
GIT done (by process-git-requests).
Comment 5 Fedora Update System 2010-08-19 04:26:15 EDT
perl-PPIx-Utilities-1.000001-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/perl-PPIx-Utilities-1.000001-2.fc14
Comment 6 Fedora Update System 2010-08-20 14:40:27 EDT
perl-PPIx-Utilities-1.000001-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-PPIx-Utilities'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-PPIx-Utilities-1.000001-2.fc14
Comment 7 Fedora Update System 2010-09-01 01:49:12 EDT
perl-PPIx-Utilities-1.000001-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.